diff --git a/gdb/syscalls/bfin-linux.xml b/gdb/syscalls/bfin-linux.xml
index e167e78..190170d 100644
--- a/gdb/syscalls/bfin-linux.xml
+++ b/gdb/syscalls/bfin-linux.xml
@@ -14,61 +14,63 @@
 
      The file mentioned above belongs to the Linux Kernel.  -->
 
+<!-- The group field was based on strace.  -->
+
 <syscalls_info>
   <syscall name="restart_syscall" number="0"/>
   <syscall name="exit" number="1"/>
-  <syscall name="fork" number="2"/>
-  <syscall name="read" number="3"/>
-  <syscall name="write" number="4"/>
-  <syscall name="open" number="5"/>
-  <syscall name="close" number="6"/>
-  <syscall name="creat" number="8"/>
-  <syscall name="link" number="9"/>
-  <syscall name="unlink" number="10"/>
-  <syscall name="execve" number="11"/>
-  <syscall name="chdir" number="12"/>
+  <syscall name="fork" number="2" groups="process"/>
+  <syscall name="read" number="3" groups="descriptor"/>
+  <syscall name="write" number="4" groups="descriptor"/>
+  <syscall name="open" number="5" groups="descriptor,file"/>
+  <syscall name="close" number="6" groups="descriptor"/>
+  <syscall name="creat" number="8" groups="descriptor,file"/>
+  <syscall name="link" number="9" groups="file"/>
+  <syscall name="unlink" number="10" groups="file"/>
+  <syscall name="execve" number="11" groups="file,process"/>
+  <syscall name="chdir" number="12" groups="file"/>
   <syscall name="time" number="13"/>
-  <syscall name="mknod" number="14"/>
-  <syscall name="chmod" number="15"/>
-  <syscall name="chown" number="16"/>
-  <syscall name="lseek" number="19"/>
+  <syscall name="mknod" number="14" groups="file"/>
+  <syscall name="chmod" number="15" groups="file"/>
+  <syscall name="chown" number="16" groups="file"/>
+  <syscall name="lseek" number="19" groups="descriptor"/>
   <syscall name="getpid" number="20"/>
-  <syscall name="mount" number="21"/>
+  <syscall name="mount" number="21" groups="file"/>
   <syscall name="setuid" number="23"/>
   <syscall name="getuid" number="24"/>
   <syscall name="stime" number="25"/>
   <syscall name="ptrace" number="26"/>
   <syscall name="alarm" number="27"/>
-  <syscall name="pause" number="29"/>
-  <syscall name="access" number="33"/>
+  <syscall name="pause" number="29" groups="signal"/>
+  <syscall name="access" number="33" groups="file"/>
   <syscall name="nice" number="34"/>
   <syscall name="sync" number="36"/>
-  <syscall name="kill" number="37"/>
-  <syscall name="rename" number="38"/>
-  <syscall name="mkdir" number="39"/>
-  <syscall name="rmdir" number="40"/>
-  <syscall name="dup" number="41"/>
-  <syscall name="pipe" number="42"/>
+  <syscall name="kill" number="37" groups="signal"/>
+  <syscall name="rename" number="38" groups="file"/>
+  <syscall name="mkdir" number="39" groups="file"/>
+  <syscall name="rmdir" number="40" groups="file"/>
+  <syscall name="dup" number="41" groups="descriptor"/>
+  <syscall name="pipe" number="42" groups="descriptor"/>
   <syscall name="times" number="43"/>
-  <syscall name="brk" number="45"/>
+  <syscall name="brk" number="45" groups="memory"/>
   <syscall name="setgid" number="46"/>
   <syscall name="getgid" number="47"/>
   <syscall name="geteuid" number="49"/>
   <syscall name="getegid" number="50"/>
-  <syscall name="acct" number="51"/>
+  <syscall name="acct" number="51" groups="file"/>
   <syscall name="umount2" number="52"/>
-  <syscall name="ioctl" number="54"/>
-  <syscall name="fcntl" number="55"/>
+  <syscall name="ioctl" number="54" groups="descriptor"/>
+  <syscall name="fcntl" number="55" groups="descriptor"/>
   <syscall name="setpgid" number="57"/>
   <syscall name="umask" number="60"/>
-  <syscall name="chroot" number="61"/>
+  <syscall name="chroot" number="61" groups="file"/>
   <syscall name="ustat" number="62"/>
-  <syscall name="dup2" number="63"/>
+  <syscall name="dup2" number="63" groups="descriptor"/>
   <syscall name="getppid" number="64"/>
   <syscall name="getpgrp" number="65"/>
   <syscall name="setsid" number="66"/>
-  <syscall name="sgetmask" number="68"/>
-  <syscall name="ssetmask" number="69"/>
+  <syscall name="sgetmask" number="68" groups="signal"/>
+  <syscall name="ssetmask" number="69" groups="signal"/>
   <syscall name="setreuid" number="70"/>
   <syscall name="setregid" number="71"/>
   <syscall name="sethostname" number="74"/>
@@ -78,49 +80,49 @@
   <syscall name="settimeofday" number="79"/>
   <syscall name="getgroups" number="80"/>
   <syscall name="setgroups" number="81"/>
-  <syscall name="symlink" number="83"/>
-  <syscall name="readlink" number="85"/>
+  <syscall name="symlink" number="83" groups="file"/>
+  <syscall name="readlink" number="85" groups="file"/>
   <syscall name="reboot" number="88"/>
-  <syscall name="munmap" number="91"/>
-  <syscall name="truncate" number="92"/>
-  <syscall name="ftruncate" number="93"/>
-  <syscall name="fchmod" number="94"/>
-  <syscall name="fchown" number="95"/>
+  <syscall name="munmap" number="91" groups="memory"/>
+  <syscall name="truncate" number="92" groups="file"/>
+  <syscall name="ftruncate" number="93" groups="descriptor"/>
+  <syscall name="fchmod" number="94" groups="descriptor"/>
+  <syscall name="fchown" number="95" groups="descriptor"/>
   <syscall name="getpriority" number="96"/>
   <syscall name="setpriority" number="97"/>
-  <syscall name="statfs" number="99"/>
-  <syscall name="fstatfs" number="100"/>
+  <syscall name="statfs" number="99" groups="file"/>
+  <syscall name="fstatfs" number="100" groups="descriptor"/>
   <syscall name="syslog" number="103"/>
   <syscall name="setitimer" number="104"/>
   <syscall name="getitimer" number="105"/>
-  <syscall name="stat" number="106"/>
-  <syscall name="lstat" number="107"/>
-  <syscall name="fstat" number="108"/>
+  <syscall name="stat" number="106" groups="file"/>
+  <syscall name="lstat" number="107" groups="file"/>
+  <syscall name="fstat" number="108" groups="descriptor"/>
   <syscall name="vhangup" number="111"/>
-  <syscall name="wait4" number="114"/>
+  <syscall name="wait4" number="114" groups="process"/>
   <syscall name="sysinfo" number="116"/>
-  <syscall name="fsync" number="118"/>
-  <syscall name="clone" number="120"/>
+  <syscall name="fsync" number="118" groups="descriptor"/>
+  <syscall name="clone" number="120" groups="process"/>
   <syscall name="setdomainname" number="121"/>
   <syscall name="uname" number="122"/>
   <syscall name="adjtimex" number="124"/>
-  <syscall name="mprotect" number="125"/>
+  <syscall name="mprotect" number="125" groups="memory"/>
   <syscall name="init_module" number="128"/>
   <syscall name="delete_module" number="129"/>
-  <syscall name="quotactl" number="131"/>
+  <syscall name="quotactl" number="131" groups="file"/>
   <syscall name="getpgid" number="132"/>
-  <syscall name="fchdir" number="133"/>
+  <syscall name="fchdir" number="133" groups="descriptor"/>
   <syscall name="bdflush" number="134"/>
   <syscall name="personality" number="136"/>
   <syscall name="setfsuid" number="138"/>
   <syscall name="setfsgid" number="139"/>
-  <syscall name="_llseek" number="140"/>
-  <syscall name="getdents" number="141"/>
-  <syscall name="flock" number="143"/>
-  <syscall name="readv" number="145"/>
-  <syscall name="writev" number="146"/>
+  <syscall name="_llseek" number="140" groups="descriptor"/>
+  <syscall name="getdents" number="141" groups="descriptor"/>
+  <syscall name="flock" number="143" groups="descriptor"/>
+  <syscall name="readv" number="145" groups="descriptor"/>
+  <syscall name="writev" number="146" groups="descriptor"/>
   <syscall name="getsid" number="147"/>
-  <syscall name="fdatasync" number="148"/>
+  <syscall name="fdatasync" number="148" groups="descriptor"/>
   <syscall name="_sysctl" number="149"/>
   <syscall name="sched_setparam" number="154"/>
   <syscall name="sched_getparam" number="155"/>
@@ -131,37 +133,37 @@
   <syscall name="sched_get_priority_min" number="160"/>
   <syscall name="sched_rr_get_interval" number="161"/>
   <syscall name="nanosleep" number="162"/>
-  <syscall name="mremap" number="163"/>
+  <syscall name="mremap" number="163" groups="memory"/>
   <syscall name="setresuid" number="164"/>
   <syscall name="getresuid" number="165"/>
   <syscall name="nfsservctl" number="169"/>
   <syscall name="setresgid" number="170"/>
   <syscall name="getresgid" number="171"/>
   <syscall name="prctl" number="172"/>
-  <syscall name="rt_sigreturn" number="173"/>
-  <syscall name="rt_sigaction" number="174"/>
-  <syscall name="rt_sigprocmask" number="175"/>
-  <syscall name="rt_sigpending" number="176"/>
-  <syscall name="rt_sigtimedwait" number="177"/>
-  <syscall name="rt_sigqueueinfo" number="178"/>
-  <syscall name="rt_sigsuspend" number="179"/>
-  <syscall name="pread" number="180"/>
-  <syscall name="pwrite" number="181"/>
-  <syscall name="lchown" number="182"/>
-  <syscall name="getcwd" number="183"/>
+  <syscall name="rt_sigreturn" number="173" groups="signal"/>
+  <syscall name="rt_sigaction" number="174" groups="signal"/>
+  <syscall name="rt_sigprocmask" number="175" groups="signal"/>
+  <syscall name="rt_sigpending" number="176" groups="signal"/>
+  <syscall name="rt_sigtimedwait" number="177" groups="signal"/>
+  <syscall name="rt_sigqueueinfo" number="178" groups="signal"/>
+  <syscall name="rt_sigsuspend" number="179" groups="signal"/>
+  <syscall name="pread" number="180" groups="descriptor"/>
+  <syscall name="pwrite" number="181" groups="descriptor"/>
+  <syscall name="lchown" number="182" groups="file"/>
+  <syscall name="getcwd" number="183" groups="file"/>
   <syscall name="capget" number="184"/>
   <syscall name="capset" number="185"/>
-  <syscall name="sigaltstack" number="186"/>
-  <syscall name="sendfile" number="187"/>
-  <syscall name="vfork" number="190"/>
+  <syscall name="sigaltstack" number="186" groups="signal"/>
+  <syscall name="sendfile" number="187" groups="descriptor,network"/>
+  <syscall name="vfork" number="190" groups="process"/>
   <syscall name="getrlimit" number="191"/>
-  <syscall name="mmap2" number="192"/>
-  <syscall name="truncate64" number="193"/>
-  <syscall name="ftruncate64" number="194"/>
-  <syscall name="stat64" number="195"/>
-  <syscall name="lstat64" number="196"/>
-  <syscall name="fstat64" number="197"/>
-  <syscall name="chown32" number="198"/>
+  <syscall name="mmap2" number="192" groups="descriptor,memory"/>
+  <syscall name="truncate64" number="193" groups="file"/>
+  <syscall name="ftruncate64" number="194" groups="descriptor"/>
+  <syscall name="stat64" number="195" groups="file"/>
+  <syscall name="lstat64" number="196" groups="file"/>
+  <syscall name="fstat64" number="197" groups="descriptor"/>
+  <syscall name="chown32" number="198" groups="file"/>
   <syscall name="getuid32" number="199"/>
   <syscall name="getgid32" number="200"/>
   <syscall name="geteuid32" number="201"/>
@@ -170,35 +172,35 @@
   <syscall name="setregid32" number="204"/>
   <syscall name="getgroups32" number="205"/>
   <syscall name="setgroups32" number="206"/>
-  <syscall name="fchown32" number="207"/>
+  <syscall name="fchown32" number="207" groups="descriptor"/>
   <syscall name="setresuid32" number="208"/>
   <syscall name="getresuid32" number="209"/>
   <syscall name="setresgid32" number="210"/>
   <syscall name="getresgid32" number="211"/>
-  <syscall name="lchown32" number="212"/>
+  <syscall name="lchown32" number="212" groups="file"/>
   <syscall name="setuid32" number="213"/>
   <syscall name="setgid32" number="214"/>
   <syscall name="setfsuid32" number="215"/>
   <syscall name="setfsgid32" number="216"/>
-  <syscall name="pivot_root" number="217"/>
-  <syscall name="getdents64" number="220"/>
-  <syscall name="fcntl64" number="221"/>
+  <syscall name="pivot_root" number="217" groups="file"/>
+  <syscall name="getdents64" number="220" groups="descriptor"/>
+  <syscall name="fcntl64" number="221" groups="descriptor"/>
   <syscall name="gettid" number="224"/>
-  <syscall name="readahead" number="225"/>
-  <syscall name="setxattr" number="226"/>
-  <syscall name="lsetxattr" number="227"/>
-  <syscall name="fsetxattr" number="228"/>
-  <syscall name="getxattr" number="229"/>
-  <syscall name="lgetxattr" number="230"/>
-  <syscall name="fgetxattr" number="231"/>
-  <syscall name="listxattr" number="232"/>
-  <syscall name="llistxattr" number="233"/>
-  <syscall name="flistxattr" number="234"/>
-  <syscall name="removexattr" number="235"/>
-  <syscall name="lremovexattr" number="236"/>
-  <syscall name="fremovexattr" number="237"/>
-  <syscall name="tkill" number="238"/>
-  <syscall name="sendfile64" number="239"/>
+  <syscall name="readahead" number="225" groups="descriptor"/>
+  <syscall name="setxattr" number="226" groups="file"/>
+  <syscall name="lsetxattr" number="227" groups="file"/>
+  <syscall name="fsetxattr" number="228" groups="descriptor"/>
+  <syscall name="getxattr" number="229" groups="file"/>
+  <syscall name="lgetxattr" number="230" groups="file"/>
+  <syscall name="fgetxattr" number="231" groups="descriptor"/>
+  <syscall name="listxattr" number="232" groups="file"/>
+  <syscall name="llistxattr" number="233" groups="file"/>
+  <syscall name="flistxattr" number="234" groups="descriptor"/>
+  <syscall name="removexattr" number="235" groups="file"/>
+  <syscall name="lremovexattr" number="236" groups="file"/>
+  <syscall name="fremovexattr" number="237" groups="descriptor"/>
+  <syscall name="tkill" number="238" groups="signal"/>
+  <syscall name="sendfile64" number="239" groups="descriptor,network"/>
   <syscall name="futex" number="240"/>
   <syscall name="sched_setaffinity" number="241"/>
   <syscall name="sched_getaffinity" number="242"/>
@@ -207,12 +209,12 @@
   <syscall name="io_getevents" number="247"/>
   <syscall name="io_submit" number="248"/>
   <syscall name="io_cancel" number="249"/>
-  <syscall name="exit_group" number="252"/>
+  <syscall name="exit_group" number="252" groups="process"/>
   <syscall name="lookup_dcookie" number="253"/>
   <syscall name="bfin_spinlock" number="254"/>
-  <syscall name="epoll_create" number="255"/>
-  <syscall name="epoll_ctl" number="256"/>
-  <syscall name="epoll_wait" number="257"/>
+  <syscall name="epoll_create" number="255" groups="descriptor"/>
+  <syscall name="epoll_ctl" number="256" groups="descriptor"/>
+  <syscall name="epoll_wait" number="257" groups="descriptor"/>
   <syscall name="set_tid_address" number="259"/>
   <syscall name="timer_create" number="260"/>
   <syscall name="timer_settime" number="261"/>
@@ -223,11 +225,11 @@
   <syscall name="clock_gettime" number="266"/>
   <syscall name="clock_getres" number="267"/>
   <syscall name="clock_nanosleep" number="268"/>
-  <syscall name="statfs64" number="269"/>
-  <syscall name="fstatfs64" number="270"/>
-  <syscall name="tgkill" number="271"/>
-  <syscall name="utimes" number="272"/>
-  <syscall name="fadvise64_64" number="273"/>
+  <syscall name="statfs64" number="269" groups="file"/>
+  <syscall name="fstatfs64" number="270" groups="descriptor"/>
+  <syscall name="tgkill" number="271" groups="signal"/>
+  <syscall name="utimes" number="272" groups="file"/>
+  <syscall name="fadvise64_64" number="273" groups="descriptor"/>
   <syscall name="mq_open" number="278"/>
   <syscall name="mq_unlink" number="279"/>
   <syscall name="mq_timedsend" number="280"/>
@@ -235,92 +237,92 @@
   <syscall name="mq_notify" number="282"/>
   <syscall name="mq_getsetattr" number="283"/>
   <syscall name="kexec_load" number="284"/>
-  <syscall name="waitid" number="285"/>
+  <syscall name="waitid" number="285" groups="process"/>
   <syscall name="add_key" number="286"/>
   <syscall name="request_key" number="287"/>
   <syscall name="keyctl" number="288"/>
   <syscall name="ioprio_set" number="289"/>
   <syscall name="ioprio_get" number="290"/>
-  <syscall name="inotify_init" number="291"/>
-  <syscall name="inotify_add_watch" number="292"/>
-  <syscall name="inotify_rm_watch" number="293"/>
-  <syscall name="openat" number="295"/>
-  <syscall name="mkdirat" number="296"/>
-  <syscall name="mknodat" number="297"/>
-  <syscall name="fchownat" number="298"/>
-  <syscall name="futimesat" number="299"/>
-  <syscall name="fstatat64" number="300"/>
-  <syscall name="unlinkat" number="301"/>
-  <syscall name="renameat" number="302"/>
-  <syscall name="linkat" number="303"/>
-  <syscall name="symlinkat" number="304"/>
-  <syscall name="readlinkat" number="305"/>
-  <syscall name="fchmodat" number="306"/>
-  <syscall name="faccessat" number="307"/>
-  <syscall name="pselect6" number="308"/>
-  <syscall name="ppoll" number="309"/>
-  <syscall name="unshare" number="310"/>
+  <syscall name="inotify_init" number="291" groups="descriptor"/>
+  <syscall name="inotify_add_watch" number="292" groups="descriptor"/>
+  <syscall name="inotify_rm_watch" number="293" groups="descriptor"/>
+  <syscall name="openat" number="295" groups="descriptor,file"/>
+  <syscall name="mkdirat" number="296" groups="descriptor,file"/>
+  <syscall name="mknodat" number="297" groups="descriptor,file"/>
+  <syscall name="fchownat" number="298" groups="descriptor,file"/>
+  <syscall name="futimesat" number="299" groups="descriptor,file"/>
+  <syscall name="fstatat64" number="300" groups="descriptor,file"/>
+  <syscall name="unlinkat" number="301" groups="descriptor,file"/>
+  <syscall name="renameat" number="302" groups="descriptor,file"/>
+  <syscall name="linkat" number="303" groups="descriptor,file"/>
+  <syscall name="symlinkat" number="304" groups="descriptor,file"/>
+  <syscall name="readlinkat" number="305" groups="descriptor,file"/>
+  <syscall name="fchmodat" number="306" groups="descriptor,file"/>
+  <syscall name="faccessat" number="307" groups="descriptor,file"/>
+  <syscall name="pselect6" number="308" groups="descriptor"/>
+  <syscall name="ppoll" number="309" groups="descriptor"/>
+  <syscall name="unshare" number="310" groups="process"/>
   <syscall name="sram_alloc" number="311"/>
   <syscall name="sram_free" number="312"/>
   <syscall name="dma_memcpy" number="313"/>
-  <syscall name="accept" number="314"/>
-  <syscall name="bind" number="315"/>
-  <syscall name="connect" number="316"/>
-  <syscall name="getpeername" number="317"/>
-  <syscall name="getsockname" number="318"/>
-  <syscall name="getsockopt" number="319"/>
-  <syscall name="listen" number="320"/>
-  <syscall name="recv" number="321"/>
-  <syscall name="recvfrom" number="322"/>
-  <syscall name="recvmsg" number="323"/>
-  <syscall name="send" number="324"/>
-  <syscall name="sendmsg" number="325"/>
-  <syscall name="sendto" number="326"/>
-  <syscall name="setsockopt" number="327"/>
-  <syscall name="shutdown" number="328"/>
-  <syscall name="socket" number="329"/>
-  <syscall name="socketpair" number="330"/>
-  <syscall name="semctl" number="331"/>
-  <syscall name="semget" number="332"/>
-  <syscall name="semop" number="333"/>
-  <syscall name="msgctl" number="334"/>
-  <syscall name="msgget" number="335"/>
-  <syscall name="msgrcv" number="336"/>
-  <syscall name="msgsnd" number="337"/>
-  <syscall name="shmat" number="338"/>
-  <syscall name="shmctl" number="339"/>
-  <syscall name="shmdt" number="340"/>
-  <syscall name="shmget" number="341"/>
-  <syscall name="splice" number="342"/>
-  <syscall name="sync_file_range" number="343"/>
-  <syscall name="tee" number="344"/>
-  <syscall name="vmsplice" number="345"/>
-  <syscall name="epoll_pwait" number="346"/>
-  <syscall name="utimensat" number="347"/>
-  <syscall name="signalfd" number="348"/>
-  <syscall name="timerfd_create" number="349"/>
-  <syscall name="eventfd" number="350"/>
-  <syscall name="pread64" number="351"/>
-  <syscall name="pwrite64" number="352"/>
-  <syscall name="fadvise64" number="353"/>
+  <syscall name="accept" number="314" groups="network"/>
+  <syscall name="bind" number="315" groups="network"/>
+  <syscall name="connect" number="316" groups="network"/>
+  <syscall name="getpeername" number="317" groups="network"/>
+  <syscall name="getsockname" number="318" groups="network"/>
+  <syscall name="getsockopt" number="319" groups="network"/>
+  <syscall name="listen" number="320" groups="network"/>
+  <syscall name="recv" number="321" groups="network"/>
+  <syscall name="recvfrom" number="322" groups="network"/>
+  <syscall name="recvmsg" number="323" groups="network"/>
+  <syscall name="send" number="324" groups="network"/>
+  <syscall name="sendmsg" number="325" groups="network"/>
+  <syscall name="sendto" number="326" groups="network"/>
+  <syscall name="setsockopt" number="327" groups="network"/>
+  <syscall name="shutdown" number="328" groups="network"/>
+  <syscall name="socket" number="329" groups="network"/>
+  <syscall name="socketpair" number="330" groups="network"/>
+  <syscall name="semctl" number="331" groups="ipc"/>
+  <syscall name="semget" number="332" groups="ipc"/>
+  <syscall name="semop" number="333" groups="ipc"/>
+  <syscall name="msgctl" number="334" groups="ipc"/>
+  <syscall name="msgget" number="335" groups="ipc"/>
+  <syscall name="msgrcv" number="336" groups="ipc"/>
+  <syscall name="msgsnd" number="337" groups="ipc"/>
+  <syscall name="shmat" number="338" groups="ipc,memory"/>
+  <syscall name="shmctl" number="339" groups="ipc"/>
+  <syscall name="shmdt" number="340" groups="ipc,memory"/>
+  <syscall name="shmget" number="341" groups="ipc"/>
+  <syscall name="splice" number="342" groups="descriptor"/>
+  <syscall name="sync_file_range" number="343" groups="descriptor"/>
+  <syscall name="tee" number="344" groups="descriptor"/>
+  <syscall name="vmsplice" number="345" groups="descriptor"/>
+  <syscall name="epoll_pwait" number="346" groups="descriptor"/>
+  <syscall name="utimensat" number="347" groups="descriptor,file"/>
+  <syscall name="signalfd" number="348" groups="descriptor,signal"/>
+  <syscall name="timerfd_create" number="349" groups="descriptor"/>
+  <syscall name="eventfd" number="350" groups="descriptor"/>
+  <syscall name="pread64" number="351" groups="descriptor"/>
+  <syscall name="pwrite64" number="352" groups="descriptor"/>
+  <syscall name="fadvise64" number="353" groups="descriptor"/>
   <syscall name="set_robust_list" number="354"/>
   <syscall name="get_robust_list" number="355"/>
-  <syscall name="fallocate" number="356"/>
-  <syscall name="semtimedop" number="357"/>
-  <syscall name="timerfd_settime" number="358"/>
-  <syscall name="timerfd_gettime" number="359"/>
-  <syscall name="signalfd4" number="360"/>
-  <syscall name="eventfd2" number="361"/>
-  <syscall name="epoll_create1" number="362"/>
-  <syscall name="dup3" number="363"/>
-  <syscall name="pipe2" number="364"/>
-  <syscall name="inotify_init1" number="365"/>
-  <syscall name="preadv" number="366"/>
-  <syscall name="pwritev" number="367"/>
-  <syscall name="rt_tgsigqueueinfo" number="368"/>
-  <syscall name="perf_event_open" number="369"/>
-  <syscall name="recvmmsg" number="370"/>
-  <syscall name="fanotify_init" number="371"/>
-  <syscall name="fanotify_mark" number="372"/>
+  <syscall name="fallocate" number="356" groups="descriptor"/>
+  <syscall name="semtimedop" number="357" groups="ipc"/>
+  <syscall name="timerfd_settime" number="358" groups="descriptor"/>
+  <syscall name="timerfd_gettime" number="359" groups="descriptor"/>
+  <syscall name="signalfd4" number="360" groups="descriptor,signal"/>
+  <syscall name="eventfd2" number="361" groups="descriptor"/>
+  <syscall name="epoll_create1" number="362" groups="descriptor"/>
+  <syscall name="dup3" number="363" groups="descriptor"/>
+  <syscall name="pipe2" number="364" groups="descriptor"/>
+  <syscall name="inotify_init1" number="365" groups="descriptor"/>
+  <syscall name="preadv" number="366" groups="descriptor"/>
+  <syscall name="pwritev" number="367" groups="descriptor"/>
+  <syscall name="rt_tgsigqueueinfo" number="368" groups="process,signal"/>
+  <syscall name="perf_event_open" number="369" groups="descriptor"/>
+  <syscall name="recvmmsg" number="370" groups="network"/>
+  <syscall name="fanotify_init" number="371" groups="descriptor"/>
+  <syscall name="fanotify_mark" number="372" groups="descriptor,file"/>
   <syscall name="prlimit64" number="373"/>
 </syscalls_info>